
data column;
input a b_desc c d_desc e;
datalines;
10 20 30 999 50
50 40 999 20 10
999 1 1 1 999
;

* use PROC SQL create a macro variable with names of all variables ending in _desc;

proc sql noprint;
select catt(name) into :desc separated by ' '
from dictionary.columns
where libname = 'WORK' and memname = 'COLUMN' and name like '%_desc';
quit;

data new;
set column (drop = &desc);
run;

proc contents data=new;
ods select variables;
run;

****************************************************************************;

proc contents data=sashelp.vcolumn;
run;

proc print data=sashelp.vcolumn;
where libname eq "SASHELP" and memname eq "CLASS";
run;

proc sql;
select * from dictionary.columns
where libname = "SASHELP" and memname = "CLASS";
quit;

proc sql;
describe table dictionary.columns;
quit;

proc sql;
describe table dictionary.tables;
quit;

proc sql;
create table new as 
select * from dictionary.columns
where libname = "SASHELP" and memname = "CLASS";
quit;

proc print data=new;
run;

****************************************************************************;

* search for any data set in library MAPS (and MAPSGFK) with a variable named COUNTY;

proc sql;
select memname, label
from dictionary.columns
where libname = 'MAPS' and upcase(name) = 'COUNTY';
quit;

proc sql;
select memname, label
from dictionary.columns
where libname = 'MAPSGFK' and upcase(name) = 'COUNTY';
quit;
